VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Properties
VisimBox.Renderer.RenderQueue Class Reference

rendering queue More...

List of all members.

## Public Member Functions
| RenderQueue (IRenderContext owner, int capacity=100)
| Creates renderqueue with starting capacity.
void | AddItem (RenderBufferItem item)
| Adds render item to the renderer queue.
void | Clear ()
| Clears render queue (stops rendering, removes unrendered items)
void | Start ()
| Starts rendering queue (should be cleared before). Queue now accepts (and based on used strategy) renders items.
void | Finish ()
| Finishes rendering of the queue (first normal objects, then sorted alphas)
## Protected Member Functions
void | RenderItem (RenderBufferItem item, RendererEventArgs args)
## Static Protected Member Functions
static int | CompareDistances (RenderBufferItem r1, RenderBufferItem r2)
## Protected Attributes
List< RenderBufferItem > | Items
List< RenderBufferItem > | AlphaItems
int | _CurrentIndex
int | _CurrentAlphaIndex
IRenderContext | Owner
RenderQueueSettings | settings
## Properties
int | Capacity`[get, set]`
| Current capacity of the renderqueue.
int | CurrentIndex`[get]`
| Current index of processed item (everything before was processed)
int | CurrentAlphaIndex`[get]`
| Current index of start of the transparent items.
int | Remaining`[get]`
| Returns number of remaining items in the queue.

## Detailed Description

rendering queue

## Constructor & Destructor Documentation

VisimBox.Renderer.RenderQueue.RenderQueue | ( | IRenderContext | owner,
|  | int | capacity = `100`
| ) |  |

Creates renderqueue with starting capacity.

Parameters:

  capacity | Requested starting capacity of the queue
  owner | Associated rendering context

## Member Function Documentation

void VisimBox.Renderer.RenderQueue.AddItem | ( | RenderBufferItem | item | ) |

Adds render item to the renderer queue.

Parameters:

  item | Render buffer item

Adds item to either normal or alpha list. Depending on used rendering strategy (and used multithreading) may resort list, or directly render the item.

void VisimBox.Renderer.RenderQueue.Clear | ( |  | ) |

Clears render queue (stops rendering, removes unrendered items)

static int VisimBox.Renderer.RenderQueue.CompareDistances | ( | RenderBufferItem | r1,
|  | RenderBufferItem | r2
| ) |  | `[static, protected]`

void VisimBox.Renderer.RenderQueue.Finish | ( |  | ) |

Finishes rendering of the queue (first normal objects, then sorted alphas)

void VisimBox.Renderer.RenderQueue.RenderItem | ( | RenderBufferItem | item,
|  | RendererEventArgs | args
| ) |  | `[protected]`

void VisimBox.Renderer.RenderQueue.Start | ( |  | ) |

Starts rendering queue (should be cleared before). Queue now accepts (and based on used strategy) renders items.

## Member Data Documentation

int VisimBox.Renderer.RenderQueue._CurrentAlphaIndex`[protected]`

int VisimBox.Renderer.RenderQueue._CurrentIndex`[protected]`

List<RenderBufferItem> VisimBox.Renderer.RenderQueue.AlphaItems`[protected]`

List<RenderBufferItem> VisimBox.Renderer.RenderQueue.Items`[protected]`

IRenderContext VisimBox.Renderer.RenderQueue.Owner`[protected]`

RenderQueueSettings VisimBox.Renderer.RenderQueue.settings`[protected]`

## Property Documentation

int VisimBox.Renderer.RenderQueue.Capacity`[get, set]`

Current capacity of the renderqueue.

int VisimBox.Renderer.RenderQueue.CurrentAlphaIndex`[get]`

Current index of start of the transparent items.

int VisimBox.Renderer.RenderQueue.CurrentIndex`[get]`

Current index of processed item (everything before was processed)

int VisimBox.Renderer.RenderQueue.Remaining`[get]`

Returns number of remaining items in the queue.

The documentation for this class was generated from the following file:

- RenderQueue.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events